vxlan: vxlan/vxlan.api API cleanup
[vpp.git] / test / scripts / run_in_venv_with_cleanup.sh
index 541f584..35b6737 100755 (executable)
@@ -14,7 +14,7 @@ atexit() {
                        kill -9 $id
                fi
        done
-       exit $rv
+       exit ${rv}
 }
 
 trap "atexit;" SIGINT SIGTERM
@@ -30,9 +30,10 @@ then
        $*
 else
        $* &
-       wait
+       pid=$!
+       wait ${pid}
 fi
 
 rv=$?
 atexit
-exit $rv
+exit ${rv}